net.corda.core.serialization

## Class MetaDataSerializer

- net.corda.core.serialization.MetaDataSerializer

-     public class MetaDataSerializer

  For serialising a MetaData object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MetaDataSerializer` | `INSTANCE` For serialising a MetaData object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetaData` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<net.corda.core.crypto.MetaData> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, MetaData obj)`

- - ### Field Detail

    - #### INSTANCE

          public static MetaDataSerializer INSTANCE

      For serialising a MetaData object.

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            MetaData obj)

    - #### read

          public MetaData read(com.esotericsoftware.kryo.Kryo kryo,
                               com.esotericsoftware.kryo.io.Input input,
                               java.lang.Class<net.corda.core.crypto.MetaData> type)